%bcond_with tests

Summary:       Setuptools Rust extension plugin
Name:          python-setuptools-rust
Version:       1.7.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/PyO3/setuptools-rust
Source0:       %{pypi_source setuptools-rust}

BuildRequires: python3-devel python3dist(setuptools) python3dist(semantic-version)
BuildRequires: python3dist(typing-extensions) python3dist(setuptools-scm) python3dist(wheel) rust-packaging
%if %{with tests}
BuildRequires: rust-pyo3+default-devel
%endif
BuildArch:     noarch
ExclusiveArch:  %{rust_arches}

%description
Setuptools helpers for Rust Python extensions. Compile and distribute Python extensions written in
Rust as easily as if they were written in C.

%package -n     python3-setuptools-rust
Summary:        %{summary}
Requires:       rust-packaging

%description -n python3-setuptools-rust
Setuptools helpers for Rust Python extensions. Compile and distribute Python extensions written in
Rust as easily as if they were written in C.

%prep
%autosetup -n setuptools-rust-%{version}
rm -rf setuptools-rust.egg-info
%cargo_prep
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files setuptools_rust


%check
%if %{with tests}
%pyproject_check_import
%pytest tests/ setuptools_rust/ --import-mode importlib -k "not test_adjusted_local_rust_target_windows_msvc \
	and not test_get_lib_name_namespace_package \
	and not test_metadata_contents \
	and not test_metadata_cargo_log"
%endif


%files -n python3-setuptools-rust -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md


%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 1.7.0-1
- Bump version to 1.7.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 1.1.2-1
- initial build
